Subject: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-load-balancing-01 - Respond by March 31, 2014

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 13 Mar 2014 02:36:19 +0000

This WGLC is for draft-ietf-dhc-dhcpv6-load-balancing-01. Please send your comments by March 31, 2014. If you do not feel this document should advance, please state your reasons why.

Please take some time out to read this document and provide us your feedback (it is a very short draft).

Some history:

We had done a WGLC for draft-ietf-dhc-dhcpv6-load-balancing-00 back in early 2013 and while we considered it to have sufficient consensus, there were comments that required a new revision and given the long gap between the last call and the revised document, we are doing another last call.

Tomek is the document shepherd.

Regards,

Bernie & Tomek

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 13 Mar 2014 02:52:45 +0000

<WG co-chair hat off>

I have read this document and support it moving forward.

The only shortcoming is that there is no mention of how to handle the Reconfigure-Request messages in RFC 6977, Triggering DHCPv6 Reconfiguration from Relay Agents. It does mention this RFC and that load balancing applies, but as a Reconfigure-Request can contain many Client-IDs how this is handled isn't specified (i.e., there is not just one hash bucket).

I think the mechanism here would be that a server only handles the client-ids that hash to hash buckets it is servicing and "skips" the other clients. Note that the server would send a Reconfigure-Reply listing the client-ids it skipped because of load balancing (as well as any other client-ids it was unable to initiate a reconfigure for) - see section 6.6 of RFC 6977.

-          Bernie

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Wednesday, March 12, 2014 10:36 PM
To: [email-masked]
Subject: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-load-balancing-01 - Respond by March 31, 2014

Some history:

Regards,

Bernie & Tomek

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 13 Mar 2014 03:03:27 +0000

Oh, I should have clarified that the mechanism I suggested below applies to servers sharing lease information; for servers not sharing this data, there is no special handling for load balancing as each server would reconfigure just the clients it knows about.

-          Bernie

From: Bernie Volz (volz)
Sent: Wednesday, March 12, 2014 10:53 PM
To: [email-masked]
Subject: RE: WGLC for draft-ietf-dhc-dhcpv6-load-balancing-01 - Respond by March 31, 2014

<WG co-chair hat off>

-          Bernie

Some history:

Regards,

Bernie & Tomek

---

From: 神明達哉 <[email-masked]>
Date: Mon, 24 Mar 2014 09:24:01 -0700

At Thu, 13 Mar 2014 02:36:19 +0000,

> Please take some time out to read this document and provide us your feedback (it is a very short draft).

I've not even read RFC 3074 (the draft heavily refers to the RFC), so
I'm not sure if my review of the draft helps for the WGLC, but: I've
not found anything wrong with the draft itself, and I'd say it's good
to move forward.

--
JINMEI, Tatuya

---

From: Marcin Siodelski <[email-masked]>
Date: Thu, 27 Mar 2014 16:40:01 +0100

I have read the document and I support it moving forward.
Other than Bernie's catch on Reconfigure-Request, I don't see any issues
with this document.

Marcin

On 13/03/14 04:03, Bernie Volz (volz) wrote:
>
> Oh, I should have clarified that the mechanism I suggested below
> applies to servers sharing lease information; for servers not sharing
> this data, there is no special handling for load balancing as each
> server would reconfigure just the clients it knows about.
>
>  
>
> -          Bernie
>
>  
>
> *From:*Bernie Volz (volz)
> *Sent:* Wednesday, March 12, 2014 10:53 PM
> *To:* [email-masked]
> *Subject:* RE: WGLC for draft-ietf-dhc-dhcpv6-load-balancing-01 -
> Respond by March 31, 2014
>
>  
>
> <WG co-chair hat off>
>
>  
>
> The only shortcoming is that there is no mention of how to handle the
> Reconfigure-Request messages in RFC 6977, Triggering DHCPv6
> Reconfiguration from Relay Agents. It does mention this RFC and that
> load balancing applies, but as a Reconfigure-Request can contain many
> Client-IDs how this is handled isn't specified (i.e., there is not
> just one hash bucket).
>
>  
>
> I think the mechanism here would be that a server only handles the
> client-ids that hash to hash buckets it is servicing and "skips" the
> other clients. Note that the server would send a Reconfigure-Reply
> listing the client-ids it skipped because of load balancing (as well
> as any other client-ids it was unable to initiate a reconfigure for)
> -- see section 6.6 of RFC 6977.
>
>  
>
> -          Bernie
>
>  
>
> *From:*dhcwg [mailto:[email-masked]] *On Behalf Of *Bernie
> Volz (volz)
> *Sent:* Wednesday, March 12, 2014 10:36 PM
> *To:* [email-masked]
> *Subject:* [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-load-balancing-01 -
> Respond by March 31, 2014
>
>  
>
> This WGLC is for draft-ietf-dhc-dhcpv6-load-balancing-01. Please send
> your comments by March 31, 2014. If you do not feel this document
> should advance, please state your reasons why.
>
>  
>
> We had done a WGLC for draft-ietf-dhc-dhcpv6-load-balancing-00 back in
> early 2013 and while we considered it to have sufficient consensus,
> there were comments that required a new revision and given the long
> gap between the last call and the revised document, we are doing
> another last call.
>
>  
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg